<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];

$fseries = $_SESSION["series_" . $dbname];
$keycond = "and `series`='$fseries'";

$success = false;


if (isset($_REQUEST["passport"])) {
    
    $passport = $_REQUEST['passport'];
    
    $query2 = "SELECT * FROM `visatran` WHERE passport ='$passport'";
    $result2 = mysqli_query($conn, $query2) or die(mysqli_error($conn));
    $r2 = mysqli_fetch_assoc($result2);
    
    

    $rows = array();
    $ctr = 0;
    $rows = array('success' => true,
        'paxname'  => "$r2[paxname]",
        'memcash'  => "$r2[memcash]",
        'mofamt'   => "$r2[mofamt_mod]",
        'stampamt' => "$r2[stampamt_mod]",
        'imigamt'  => "$r2[imigamt_mod]",
        'misc'     => "$r2[misc_mod]",
        'mofano'   => "$r2[mofano]");

    header("Content-type: application\json");
    echo json_encode($rows);
}